> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# キャッシュコネクションの更新

> 他のキャッシュ API 呼び出しで使用するキャッシュコネクションを作成または更新します。



## OpenAPI

````yaml ja/API/REST-API-Embedded.yaml POST /job/cacheConnection
openapi: 3.1.0
info:
  title: CData Connect AI REST API Embedded
  version: v1
servers:
  - url: https://cloud.cdata.com/api
    description: Production base URL
security:
  - BearerAuth: []
paths:
  /job/cacheConnection:
    post:
      tags:
        - Cache
      summary: Update Cache Connection
      description: |
        Create/update the cache connection used by the other caching API calls.
      operationId: updateCacheConnection
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CacheConnectionRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                connection:
                  accountId: fee1ce9d-c40c-4ef6-8f8c-77461315713d
                  connectionString: >-
                    server=<Server
                    URL>;port=5432;user=username;password=password;database=cachedb
                  connectionType: 0
                  created: '2025-11-20T15:26:43.096Z'
                  driver: PostgreSQL
                  driverVersion: 24.0.9172.0
                  id: 1c9b0ae6-3a6f-417a-8460-4ce5b5528540
                  isTested: false
                  lastModified: '2025-11-20T15:52:32.8444712Z'
                  name: CacheConnection
                  walletFilePresent: false
                  isCannedConnection: false
      servers:
        - url: https://cloud.cdata.com/api
          description: Production base URL for job endpoints
components:
  schemas:
    CacheConnectionRequest:
      type: object
      required:
        - connectionString
      properties:
        connectionString:
          type: string
          description: >-
            The connection string used to configure the user's PostgreSQL
            connection. The connection string contains the fields `Server`,
            `Port`, `User`, `Password`, and `Database`, separated by semicolons.
            Optionally, you can include `BrowsableSchemas` to limit the schemas.
          example: >-
            Server=<Server
            URL>;Port=5432;User=username;Password=password;Database=cachedb;
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT token authentication. Include the token in the Authorization header
        as `Bearer {token}`. See
        [Authentication](/ja/API/Authentication-Embedded) for more information
        on creating a token.

````